Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.db
Class HibernateUserImpl

    java.lang.Object
      org.jboss.portal.identity.db.HibernateUserImpl

All Implemented Interfaces:
  User

    public class HibernateUserImpl

extends java.lang.Object
implements User

User interface implementation.

Version:
  $Revision: 5448 $
Author:
  Julien Viet , Thomas Heute , Magesh Kumar Bojan , Boleslaw Dawidowicz

Field Summary
`protected java.util.Map` | `dynamic`
`protected boolean` | `enabled`
`protected java.lang.String` | `fakeEmail`
`protected java.lang.String` | `familyName`
`protected java.lang.String` | `givenName`
`protected java.lang.Long` | `key`
`protected java.lang.String` | `password`
`protected ProfileMap` | `profileMap`
`protected java.lang.String` | `realEmail`
`protected java.util.Date` | `registrationDate`
`protected java.util.Set` | `roles`
`protected java.lang.String` | `userName`
`protected boolean` | `viewRealEmail`

Fields inherited from interface org.jboss.portal.identity.User
`INFO_USER_EMAIL_FAKE, INFO_USER_EMAIL_REAL, INFO_USER_ENABLED, INFO_USER_EXTRA, INFO_USER_HOMEPAGE, INFO_USER_IM_AIM, INFO_USER_IM_ICQ, INFO_USER_IM_MSNM, INFO_USER_IM_SKYPE, INFO_USER_IM_XMMP, INFO_USER_IM_YIM, INFO_USER_INTERESTS, INFO_USER_LAST_LOGIN_DATE, INFO_USER_LOCALE, INFO_USER_LOCATION, INFO_USER_NAME_FAMILY, INFO_USER_NAME_GIVEN, INFO_USER_OCCUPATION, INFO_USER_REGISTRATION_DATE, INFO_USER_SECURITY_ANSWER, INFO_USER_SECURITY_QUESTION, INFO_USER_SIGNATURE, INFO_USER_THEME, INFO_USER_TIME_ZONE_OFFSET, INFO_USER_VIEW_EMAIL_VIEW_REAL`

Constructor Summary
`HibernateUserImpl()`
`HibernateUserImpl(java.lang.String userName)`

Method Summary
`protected java.util.Map` | `getDynamic()` Called by Hibernate.
`boolean` | `getEnabled()`
`java.lang.String` | `getFakeEmail()`
`java.lang.String` | `getFamilyName()`
`java.lang.String` | `getGivenName()`
`java.lang.Object` | `getId()` The user identifier.
`java.lang.Long` | `getKey()` Called by hibernate.
`java.lang.String` | `getPassword()`
`ProfileMap` | `getProfileMap()`
`java.lang.String` | `getRealEmail()`
`java.util.Date` | `getRegistrationDate()`
`java.util.Set` | `getRoles()` Returns the roles related to this user.
`java.lang.String` | `getUserName()` The user name.
`boolean` | `getViewRealEmail()`
`protected void` | `setDynamic(java.util.Map dynamic)` Called by Hibernate.
`void` | `setEnabled(boolean enable)`
`void` | `setFakeEmail(java.lang.String fakeEmail)`
`void` | `setFamilyName(java.lang.String familyName)`
`void` | `setGivenName(java.lang.String givenName)`
`protected void` | `setKey(java.lang.Long key)` Called by hibernate.
`void` | `setPassword(java.lang.String password)`
`void` | `setRealEmail(java.lang.String realEmail)`
`void` | `setRegistrationDate(java.util.Date registrationDate)`
`void` | `setRoles(java.util.Set roles)` Update the roles.
`protected void` | `setUserName(java.lang.String userName)` Called by hibernate.
`void` | `setViewRealEmail(boolean viewRealEmail)`
`java.lang.String` | `toString()`
`void` | `updatePassword(java.lang.String password)` Set the password using proper encoding.
`boolean` | `validatePassword(java.lang.String password)` Return true if the password is valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### profileMap

    protected ProfileMap profileMap

### userName

    protected java.lang.String userName

### givenName

    protected java.lang.String givenName

### familyName

    protected java.lang.String familyName

### realEmail

    protected java.lang.String realEmail

### key

    protected java.lang.Long key

### enabled

    protected boolean enabled

### password

    protected java.lang.String password

### fakeEmail

    protected java.lang.String fakeEmail

### viewRealEmail

    protected boolean viewRealEmail

### registrationDate

    protected java.util.Date registrationDate

### dynamic

    protected java.util.Map dynamic

### roles

    protected java.util.Set roles

Constructor Detail

### HibernateUserImpl

    public HibernateUserImpl()

### HibernateUserImpl

    public HibernateUserImpl(java.lang.String userName)

Method Detail

### getKey

    public java.lang.Long getKey()

  Called by hibernate.

### setKey

    protected void setKey(java.lang.Long key)

  Called by hibernate.

### setUserName

    protected void setUserName(java.lang.String userName)

  Called by hibernate.

### getDynamic

    protected java.util.Map getDynamic()

  Called by Hibernate.

### setDynamic

    protected void setDynamic(java.util.Map dynamic)

  Called by Hibernate.

### getProfileMap

    public ProfileMap getProfileMap()

### getId

    public java.lang.Object getId()

  Description copied from interface: `User`
  The user identifier.

  Specified by:
    `getId` in interface `User`

### getUserName

    public java.lang.String getUserName()

  Description copied from interface: `User`
  The user name.

  Specified by:
    `getUserName` in interface `User`

### getGivenName

    public java.lang.String getGivenName()

### setGivenName

    public void setGivenName(java.lang.String givenName)

### getFamilyName

    public java.lang.String getFamilyName()

### setFamilyName

    public void setFamilyName(java.lang.String familyName)

### updatePassword

    public void updatePassword(java.lang.String password)
                        throws IdentityException

  Description copied from interface: `User`
  Set the password using proper encoding.

  Specified by:
    `updatePassword` in interface `User`
  Throws:
    `IdentityException`

### getRealEmail

    public java.lang.String getRealEmail()

### setRealEmail

    public void setRealEmail(java.lang.String realEmail)

### getFakeEmail

    public java.lang.String getFakeEmail()

### setFakeEmail

    public void setFakeEmail(java.lang.String fakeEmail)

### getRegistrationDate

    public java.util.Date getRegistrationDate()

### setRegistrationDate

    public void setRegistrationDate(java.util.Date registrationDate)

### getViewRealEmail

    public boolean getViewRealEmail()

### setViewRealEmail

    public void setViewRealEmail(boolean viewRealEmail)

### getEnabled

    public boolean getEnabled()

### setEnabled

    public void setEnabled(boolean enable)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getRoles

    public java.util.Set getRoles()

  Returns the roles related to this user.

### setRoles

    public void setRoles(java.util.Set roles)

  Update the roles.

### validatePassword

    public boolean validatePassword(java.lang.String password)

  Description copied from interface: `User`
  Return true if the password is valid.

  Specified by:
    `validatePassword` in interface `User`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD